Skip to main content
GET
/
v1
/
audit
/
events
List audit events for the authenticated org
curl --request GET \
  --url https://api.example.com/v1/audit/events
{
  "events": [
    {
      "id": "<string>",
      "seq_num": "<string>",
      "event_type": "<string>",
      "credential_id": "<string>",
      "credential_type": "<string>",
      "attestation_type": "<string>",
      "actor_type": "<string>",
      "subject_type": "<string>",
      "outcome": "<string>",
      "outcome_reason": "<string>",
      "intervention_required": true,
      "timestamp": "2023-11-07T05:31:56Z",
      "duration_ms": 123,
      "source_ip": "<string>",
      "user_agent": "<string>",
      "external_verifier_id": "<string>",
      "external_transaction_ref": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.beltic.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

credential_id
string
event_type
enum<string>
Available options:
credential.issued,
credential.verified,
credential.revoked,
credential.deleted,
credential.presented,
credential.presentation_accepted,
credential.presentation_rejected,
credential.suspended,
credential.reactivated
outcome
enum<string>
Available options:
success,
denied,
error
from
string<date-time>
to
string<date-time>
intervention_required
enum<string>
Available options:
true,
false
limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string

Response

200 - application/json

Paginated audit event list

events
object[]
required
next_cursor
string | null
required